Update Kiosk Associations

This API allows you to associate an active Kiosk with the Record Detail View Page of a module. Once associated, the Kiosk will be available within the selected module's Record Detail View Page based on the specified layout.

Purpose

To associate a published Kiosk with the Record Detail View Page.

Use the Get All Kiosks API to retrieve the Kiosk ID. Ensure that the Kiosk is in the active state before associating it.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation   permission enabled.

Endpoints

  • PUT /settings/kiosks/{kiosk_ID}/associations

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/associations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.UPDATE
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021/associations"
-X PUT
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@kiosks.json"

Input JSON

The kiosks JSON array is the root key. It must contain only one object that specifies the Kiosk association details to be updated. Provide the following keys within the object.

  • _associationsJSON array, mandatory

    Specify all associations to be configured for the Kiosk. Each object represents a different association category.

    • typestring, mandatory

      Specify the type of association. 

      Possible values: detail_view_page

    • detail_view_pageJSON array, mandatory

      Specify the configuration details for associating the Kiosk with a module's Record Detail View Page.

      • namestring, mandatory

        Specify the name of the association. The association name must be unique within the Kiosk.

      • moduleJSON object, mandatory

        Specify the module in which you want to associate the Kiosk. Use the Module Metadata API to retrieve the module API name.

      • layoutJSON object, mandatory

        Specify the layout in which the Kiosk will be associated. Specify a valid layout ID. Use the Get Layouts Metadata API to retrieve the layout ID.

        • idstring, mandatory

          Specify the unique ID of the layout.

Note

  • To delete an existing association, include the _delete key with a null value ("_delete": null) in the request. Refer to the Sample input to disassociate a Kiosk from the Record Detail View Page for an example.

    Note: Specify the association id to remove the Record Detail View Page association. Use the Kiosk Associations API to retrieve the ID.

  • The maximum number of Kiosk associations allowed per layout depends on your CRM edition:
    • Standard / Professional: 1 association
    • Enterprise: 3 associations
    • Ultimate and above: 5 associations

Sample Input to associate a Kiosk with the Record Detail View Page

Copied{
    "kiosks": [
        {
            "_associations": [
                {
                    "type": "detail_view_page",
                    "detail_view_page": [
                        {
                            "name": "Kiosk associationssss", //mandatory
                            "module": { //mandatory
                                "api_name": "Leads" 
                            },
                             "layout": { //mandatory
                                "id": "5725767000000091055"
                            }
                        }
                    ]
                }
            ]
        }
    ]
}

Sample response

Copied{
    "kiosks": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000010176001"
            },
            "message": "Kiosk component added successfully",
            "status": "success"
        }
    ]
}

Sample input to disassociate a Kiosk from the Record Detail View Page

Copied{
    "kiosks": [
        {
            "_associations": [
                {
                    "type": "detail_view_page",
                    "detail_view_page": [
                        {
                            "id": "5725767000010176001",
                            "_delete": null 
                        }
                    ]
                }
            ]
        }
    ]
}

Note: Specify the association id to remove the association from the detail view page. Use the Kiosk Associations API to retrieve the ID.

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid ID has been given

    Resolutions:

  • MANDATORY_NOT_FOUNDHTTP 400

    One or more mandatory fields are missing
    Resolution: Specify all the mandatory fields. Refer to the Input JSON section to know all the mandatory fields.

  • LIMIT_EXCEEDEDHTTP 400

    Limit exceeded for Kiosk associations in the specified layout
    Resolution: The specified layout has reached the maximum number of allowed Kiosk associations. The maximum number of Kiosk associations allowed per layout depends on the CRM edition:

    • Standard / Professional: 1 association
    • Enterprise: 3 associations
    • Ultimate and above: 5 associations
  • AMBIGUITY_DURING_PROCESSINGHTTP 400

    Ambiguity occurred during processing
    Resolution: The API name or the unique ID of the layout or module may be incorrect or mismatched. Specify valid values. Use the Layouts and Module Metadata API to retrieve the correct IDs.

  • DUPLICATE_DATAHTTP 400

    Duplicate association name
    Resolution: Specify a unique name for the Kiosk association.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details. 

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to update the Kiosk associations. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample response

Copied{
    "kiosks": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000010176001"
            },
            "message": "Kiosk component deleted successfully",
            "status": "success"
        }
    ]
}